Subject: Re: Intel 4004 was: New To List and PDP8 Question

From: "Dwight K. Elvey" <[email-masked]>
Date: Thu Mar 13 14:34:54 2003

Hi Bill
 It is a complete SIM4-01 setup with the programmer card.
see:

http://www.vintage-computer.com/images/digibarn/digibarn4004.jpg

 It isn't clear in the picture but under the newer MCS4 manuals
is one of the older ones with a complete descrition of the SIM4
in it.
 You didn't put the programs in RAM, it still require one
to blow 1702's that you'd replace those on the SIM4 board
to test out your programs. You need to remember this
is a Harvard architecture type processor. The motherboard/box
has some dip connectors, LED lights and switches that can be used
for I/O to simulate your application with.
 I still use it every now and then to blow 1702A for various
things.
Dwight

>From: "Bill Kotaska" <[email-masked]>
>
>----- Original Message -----
>From: "Dwight K. Elvey" <[email-masked]>
>To: <[email-masked]>
>Sent: Monday, March 10, 2003 11:26 AM
>Subject: Intel 4004 was: New To List and PDP8 Question
>
>
>>
>>  I have a SIM4 but mine doesn't have the nice LCD read out that
>> yours has. I wrote an assembler as well. Mine is single pass
>> but I can still do forward references by having the lables self
>> resolve them selves as their location is assigned. I also have
>> a simualtor that I wrote. It is built around the SIM4 board.
>>
>Wow Dwight, a real SIM4. Is it the -01 or -02. I think the main difference
>was the number of PROMs it would hold. Do you also have the box with the
>mating connectors? I think it was used to interface the SIM4 to another
>board for programming 1702s. Oh what THESE would fetch on eBay. All joking
>aside, I hope you wouldn't do that. I know I couldn't.
>>
>> Most 4004 systems have a lot of hardware dependencies since
>> not all used things like the 4002's for RAMs or the normal
>> I/O methods.
>>
>I toyed with the idea of making a SIM4 clone but I would have had to do too
>many part substitutions. It wouldn't have been much of a clone. And I still
>wouldn't have been able to execute out of RAM.
>Right?
>
>Bill

---

From: "Bill Kotaska" <[email-masked]>
Date: Thu Mar 13 19:01:16 2003

> is a Harvard architecture type processor. The motherboard/box. . .
>
Harvard architecture, yes. But the 4004 had a nifty instruction called WPM
(Write Program Memory.) With this instruction - and the appropriate logic -
you can write into RAM and then use bank switching techniques to execute
from it. I use this method along with the 4289 in my 4004 computer to let me
interactively read, write, and execute from any portion of the 16K (bytes)
of RAM. The 4040 expanded on this idea and added a RPM (Read Program Memory)
instruction.

Bill Kotaska

---

From: [email-masked] (Harald Husemann)
Date: Sun Mar 16 23:10:49 2003

Hi,

not really sure if this a real "classic" one, excuse if it isn't...
But, I hope some of you can help: I got a Bianca/ Brick M from eBay, for very 
low money (abt. 10$), and I'd like to use it. Unfortunately, it's 
password-protected... Anyone know how to reset it? Just disassembled it, and 
pulled out the little battery, but the password is still set.
What can I do?

Thanks for your help,

Harald

-- 
=======================================================
Dipl. Ing. Harald Husemann
E-Mail:	[email-masked]
www:	www.deepthought.prima.de
Projects:	rawt.sourceforge.net

<Linux is like a tipi: No windows, no gates - Apache inside!>